Package org.eclipse.microprofile.config.tck

# Class OptionalValuesBean

java.lang.Object
org.eclipse.microprofile.config.tck.OptionalValuesBean

@Dependent public class OptionalValuesBean extends Object
Declare a bean for config property injections.

Author:
  Mark Struberg, Emily Jiang

## Constructor Summary

Constructors
Constructor
Description
`OptionalValuesBean()`

## Method Summary

Modifier and Type
Method
Description
`Optional<Integer>`
`getIntProperty()`
`Optional<Integer>`
`getNotexistingProperty()`
`Optional<String>`
`getNotExistingStringProperty()`
`OptionalDouble`
`getOptionalDoubleProperty()`
`OptionalInt`
`getOptionalIntProperty()`
`OptionalLong`
`getOptionalLongProperty()`
`OptionalDouble`
`getOptionalNotExistingDoubleProperty()`
`OptionalInt`
`getOptionalNotExistingIntProperty()`
`OptionalLong`
`getOptionalNotExistingLongProperty()`
`Optional<String>`
`getStringValue()`
`void`
`setStringValue(Optional<String> stringValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OptionalValuesBean

public OptionalValuesBean()

## Method Details

### setStringValue

@Inject public void setStringValue(Optional<String> stringValue)

### getStringValue

public Optional<String> getStringValue()

### getIntProperty

public Optional<Integer> getIntProperty()

### getNotexistingProperty

public Optional<Integer> getNotexistingProperty()

### getNotExistingStringProperty

public Optional<String> getNotExistingStringProperty()

### getOptionalIntProperty

public OptionalInt getOptionalIntProperty()

### getOptionalNotExistingIntProperty

public OptionalInt getOptionalNotExistingIntProperty()

### getOptionalLongProperty

public OptionalLong getOptionalLongProperty()

### getOptionalNotExistingLongProperty

public OptionalLong getOptionalNotExistingLongProperty()

### getOptionalDoubleProperty

public OptionalDouble getOptionalDoubleProperty()

### getOptionalNotExistingDoubleProperty

public OptionalDouble getOptionalNotExistingDoubleProperty()